unit uTestEn92gp;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TForm6 = class(TForm)
    btnAdd: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    btnAddMultiply: TButton;
    procedure btnAddClick(Sender: TObject);
    procedure btnAddMultiplyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}

uses EN92gpLibary;

procedure TForm6.btnAddClick(Sender: TObject);
var
  tResult: double;
  a: double;
  b: double;
  tStr: string;
begin
  tResult := ADD(123.4, 567.8);
  a := StrToFloat(Edit3.Text);
  b := StrToFloat(Edit2.Text);
  Edit1.Text := FloatToStr(ADD(a, b));
end;

procedure TForm6.btnAddMultiplyClick(Sender: TObject);
begin
  Edit1.Text := FloatToStr(ADDMultiply(StrToFloat(Edit3.Text), StrToFloat(Edit2.Text)));
end;

end.
